[arch-commits] Commit in gdk-pixbuf/trunk (3 files)

Eric Bélanger eric at archlinux.org
Wed Apr 8 00:47:24 EDT 2009


    Date: Wednesday, April 8, 2009 @ 00:47:23
  Author: eric
Revision: 34198

upgpkg: gdk-pixbuf 0.22.0-5
    Added license, Added libxt makedepends, Added patch to fix build issue

Added:
  gdk-pixbuf/trunk/gdk-pixbuf-0.22.0.patch
Modified:
  gdk-pixbuf/trunk/PKGBUILD
Deleted:
  gdk-pixbuf/trunk/gdk-pixbuf-0.22.0-m4.patch

----------------------------+
 PKGBUILD                   |   39 +++++++------
 gdk-pixbuf-0.22.0-m4.patch |    9 ---
 gdk-pixbuf-0.22.0.patch    |  129 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 151 insertions(+), 26 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-07 22:03:20 UTC (rev 34197)
+++ PKGBUILD	2009-04-08 04:47:23 UTC (rev 34198)
@@ -4,30 +4,35 @@
 
 pkgname=gdk-pixbuf
 pkgver=0.22.0
-pkgrel=4
+pkgrel=5
 pkgdesc="Image loading and manipulation library"
-depends=(gtk libtiff libpng)
-options=(!libtool)
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://www.gtk.org/"
+license=('GPL' 'LGPL')
+depends=('gtk' 'libtiff' 'libpng')
+makedepends=('libxt')
+options=('!libtool')
 source=(ftp://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.22/${pkgname}-${pkgver}.tar.bz2
 	gdk-pixbuf-0.22.0-bmp_reject_corrupt.patch
 	gdk-pixbuf-0.22.0-bmp_secure.patch
 	gdk-pixbuf-0.22.0-loaders.patch
-	gdk-pixbuf-0.22.0-m4.patch)
-md5sums=(05fcb68ceaa338614ab650c775efc2f2 d1fb93f1ae994875158a7e0c108c36f8
-         5f59d5772b1482d885a180dbc581cf84 3cf31ae0509747f72ac27a9fd96109c2
-         3edfa9fe9382fd8206d6238ec121a5af)
+        gdk-pixbuf-0.22.0.patch )
+md5sums=('05fcb68ceaa338614ab650c775efc2f2' 'd1fb93f1ae994875158a7e0c108c36f8'\
+         '5f59d5772b1482d885a180dbc581cf84' '3cf31ae0509747f72ac27a9fd96109c2'\
+         'e0f5f301ce958b7cea0be631ed7b8e56')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   export SED=/bin/sed
-  patch -Np1 -i ${startdir}/src/gdk-pixbuf-0.22.0-bmp_reject_corrupt.patch || return 1
-  patch -Np0 -i ${startdir}/src/gdk-pixbuf-0.22.0-bmp_secure.patch || return 1
-  patch -Np1 -i ${startdir}/src/gdk-pixbuf-0.22.0-loaders.patch || return 1
-  patch -Np1 -i ${startdir}/src/gdk-pixbuf-0.22.0-m4.patch || return 1
-  libtoolize --force --copy --automake
-  ./configure --prefix=/usr --disable-gtk-doc
+  patch -Np1 -i ${srcdir}/gdk-pixbuf-0.22.0-bmp_reject_corrupt.patch || return 1
+  patch -Np0 -i ${srcdir}/gdk-pixbuf-0.22.0-bmp_secure.patch || return 1
+  patch -Np1 -i ${srcdir}/gdk-pixbuf-0.22.0-loaders.patch || return 1
+  patch -p0 < ../gdk-pixbuf-0.22.0.patch || return 1
+  libtoolize --force --copy --automake || return 1
+  autoreconf --force --install || return 1
+  ./configure --prefix=/usr --disable-gtk-doc || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  rm -rf ${startdir}/pkg/usr/share/gnome
+  make DESTDIR=${pkgdir} install || return 1
+  rm -rf ${pkgdir}/usr/share/gnome
 }
+

Deleted: gdk-pixbuf-0.22.0-m4.patch
===================================================================
--- gdk-pixbuf-0.22.0-m4.patch	2009-04-07 22:03:20 UTC (rev 34197)
+++ gdk-pixbuf-0.22.0-m4.patch	2009-04-08 04:47:23 UTC (rev 34198)
@@ -1,9 +0,0 @@
-Fix aclocal warning:
-/usr/share/aclocal/gdk-pixbuf.m4:12: warning: underquoted definition of AM_PATH_GDK_PIXBUF
---- gdk-pixbuf-0.22.0/gdk-pixbuf.m4
-+++ gdk-pixbuf-0.22.0/gdk-pixbuf.m4
-@@ -11,3 +11,3 @@
- dnl
--AC_DEFUN(AM_PATH_GDK_PIXBUF,
-+AC_DEFUN([AM_PATH_GDK_PIXBUF],
- [dnl 

Added: gdk-pixbuf-0.22.0.patch
===================================================================
--- gdk-pixbuf-0.22.0.patch	                        (rev 0)
+++ gdk-pixbuf-0.22.0.patch	2009-04-08 04:47:23 UTC (rev 34198)
@@ -0,0 +1,129 @@
+--- configure.in
++++ configure.in
+@@ -21,6 +21,7 @@
+ AC_PROG_CC
+ AC_ISC_POSIX
+ AM_PROG_CC_STDC
++AM_PROG_AS
+ AC_PROG_INSTALL
+ AC_PROG_LN_S
+ AC_PROG_MAKE_SET
+@@ -147,18 +148,18 @@
+ dnl Test for libtiff
+   if test -z "$LIBTIFF"; then
+     AC_CHECK_LIB(tiff, TIFFReadScanline,
+-      AC_CHECK_HEADER(tiffio.h,
++      [AC_CHECK_HEADER(tiffio.h,
+         TIFF='tiff'; LIBTIFF='-ltiff',
+-        AC_MSG_WARN(*** TIFF loader will not be built (TIFF header files not found) ***)),
+-      AC_CHECK_LIB(tiff, TIFFWriteScanline,
+-        AC_CHECK_HEADER(tiffio.h,
++        AC_MSG_WARN(*** TIFF loader will not be built (TIFF header files not found) ***))],
++      [AC_CHECK_LIB(tiff, TIFFWriteScanline,
++        [AC_CHECK_HEADER(tiffio.h,
+           TIFF='tiff'; LIBTIFF='-ltiff -ljpeg -lz',
+-          AC_MSG_WARN(*** TIFF loader will not be built (TIFF header files not found) ***)),
+-        AC_CHECK_LIB(tiff34, TIFFFlushData,
+-          AC_CHECK_HEADER(tiffio.h,
++          AC_MSG_WARN(*** TIFF loader will not be built (TIFF header files not found) ***))],
++        [AC_CHECK_LIB(tiff34, TIFFFlushData,
++          [AC_CHECK_HEADER(tiffio.h,
+             TIFF='tiff'; LIBTIFF='-ltiff34 -ljpeg -lz',
+-            AC_MSG_WARN(*** TIFF loader will not be built (TIFF header files not found) ***)),
+-        AC_MSG_WARN(*** TIFF plug-in will not be built (TIFF library not found) ***), -ljpeg -lz -lm), -ljpeg -lz -lm), -lm)
++            AC_MSG_WARN(*** TIFF loader will not be built (TIFF header files not found) ***))],
++        AC_MSG_WARN(*** TIFF plug-in will not be built (TIFF library not found) ***), -ljpeg -lz -lm)], -ljpeg -lz -lm)], -lm)
+   fi
+ 
+ dnl Test for libjpeg
+@@ -191,9 +192,9 @@
+ dnl Test for libpng
+   if test -z "$LIBPNG"; then
+     AC_CHECK_LIB(png, png_read_info,
+-      AC_CHECK_HEADER(png.h,
++      [AC_CHECK_HEADER(png.h,
+         png_ok=yes,
+-        png_ok=no),
++        png_ok=no)],
+       AC_MSG_WARN(*** PNG loader will not be built (PNG library not found) ***), -lz -lm)
+     if test "$png_ok" = yes; then
+       AC_MSG_CHECKING([for png_structp in png.h])
+--- doc/Makefile.am
++++ doc/Makefile.am
+@@ -156,7 +156,7 @@
+ 	  done; \
+ 	fi)
+ #	  echo '-- Installing $(srcdir)/html/index.sgml' ; \
+-#	  $(INSTALL_DATA) $(srcdir)/html/index.sgml $(DESTDIR)$(TARGET_DIR); \
++#	  $(INSTALL_DATA) $(srcdir)/html/index.sgml $(DESTDIR)$(TARGET_DIR);
+ 
+ #
+ # Require gtk-doc when making dist
+--- gdk-pixbuf.m4
++++ gdk-pixbuf.m4
+@@ -9,7 +9,7 @@
+ dnl AM_PATH_GDK_PIXBUF([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
+ dnl Test for GDK_PIXBUF, and define GDK_PIXBUF_CFLAGS and GDK_PIXBUF_LIBS
+ dnl
+-AC_DEFUN(AM_PATH_GDK_PIXBUF,
++AC_DEFUN([AM_PATH_GDK_PIXBUF],
+ [dnl 
+ dnl Get the cflags and libraries from the gdk-pixbuf-config script
+ dnl
+--- gdk-pixbuf/Makefile.am
++++ gdk-pixbuf/Makefile.am
+@@ -18,7 +18,7 @@
+ 
+ libgnomecanvaspixbuf_la_LDFLAGS = -version-info 1:0:0 $(EXTRA_GNOME_LIBS)
+ 
+-libexecdir = $(libdir)/gdk-pixbuf/loaders
++loaderdir = $(libdir)/gdk-pixbuf/loaders
+ 
+ #
+ # The PNG plugin.
+@@ -118,7 +118,7 @@
+ 
+ if BUILD_DYNAMIC_MODULES
+ 
+-libexec_LTLIBRARIES = 	\
++loader_LTLIBRARIES = 	\
+ 	$(PNG_LIB)	\
+ 	$(JPEG_LIB)	\
+ 	$(GIF_LIB)	\
+@@ -134,7 +134,7 @@
+ extra_sources = 
+ 
+ else
+-libexec_LTLIBRARIES = 
++loader_LTLIBRARIES = 
+ 
+ extra_sources = $(libpixbufloader_png_la_SOURCES) 	\
+ 		$(libpixbufloader_jpeg_la_SOURCES) 	\
+@@ -159,7 +159,7 @@
+ 	-I$(top_builddir)/gdk-pixbuf \
+ 	$(X11_CFLAGS) $(GLIB_CFLAGS) $(GTK_CFLAGS) $(GNOME_CFLAGS)
+ 
+-AM_CPPFLAGS = "-DPIXBUF_LIBDIR=\"$(libexecdir)\""
++AM_CPPFLAGS = "-DPIXBUF_LIBDIR=\"$(loaderdir)\""
+ 
+ LDADDS = libgdk_pixbuf.la $(GLIB_LIBS) $(GTK_LIBS) $(STATIC_LIB_DEPS)
+ 
+@@ -211,7 +211,7 @@
+ 	gdk-pixbuf-parse-color.c	\
+ 	$(extra_sources)
+ 
+-libgdk_pixbuf_xlib_la_LDFLAGS = -version-info 2:0:0 -export-dynamic $(GLIB_LIBS) $(X11_LIBS)
++libgdk_pixbuf_xlib_la_LDFLAGS = -version-info 2:0:0 -export-dynamic $(GLIB_LIBS)
+ libgdk_pixbuf_xlib_la_LIBADD = pixops/libpixops.la libgdk_pixbuf.la $(GTK_LIBS)
+ 
+ 
+--- gdk-pixbuf/io-bmp.c
++++ gdk-pixbuf/io-bmp.c
+@@ -28,6 +28,7 @@
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <string.h>
++#include <stdlib.h>
+ #include "gdk-pixbuf-private.h"
+ #include "gdk-pixbuf-io.h"
+ 



More information about the arch-commits mailing list